<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $ctr--;
    echo "<tr>";
    echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form '  value='$mctr'></td>";
    echo "<td><input type='text' name='barcode_$ctr' class='barcode form-control focusFld_$ctr  form' value='' ></td>";
    echo "<td><input type='text' name='itemname_$ctr' required='true' class='itemname form-control  form' value='' tabindex='-1' readonly></td>";
    
    echo "<td>";
    echo "<select class='form-control fetchpart_$ctr supplier select2 form' name='supplier_$ctr' style='width:100%;'>";
    echo "<option value=''></option>";
    $ggetsupp2 = mysqli_query($conn, "SELECT accode,name FROM accmast WHERE `grpcode` = '009' ORDER BY `name`") or die(mysqli_error($conn));
    while ($fetsupp2 = mysqli_fetch_array($ggetsupp2)) {
        echo "<option value='$fetsupp2[accode]'>$fetsupp2[name]</option>";
    }
    echo "</select>";
    echo "</td>";
    
    echo "<td><input type='text' name='batch_$ctr' required='true' class='batch form-control  form' value=''></td>";
    //    Echo "<td><input type='number' name='cartqty_$ctr' class='cartqty form-control text-right form' style='' value='0' ></td>";
    echo "<td>";
    echo "<input type='text' step='any' name='stkqty_$ctr' id='stkqty_$ctr' class='stkqty form-control form' value='0' style='background-color:lightyellow;color:red'  readonly>";
    echo "</td>";
    echo "<td><input type='number' step='any' name='qty_$ctr' class='qty form-control  text-right form' value='0' ></td>";
    //    Echo "<td><input type='number' step='any' name='totqty_$ctr' class='totqty form-control  text-right form' tabindex='-1' value='0' readonly></td>";
    echo "<td>";
    echo "<select class='form-control fetchpart_$ctr unit select2 form' name='unit_$ctr' style='width:100%;' required>";
    echo "<option value=''></option>";
    $ggetunit = mysqli_query($conn, "SELECT * FROM $zroot.unit WHERE `code`!= '' ORDER BY `name`") or die(mysqli_error($conn));
    while ($ffetunit = mysqli_fetch_array($ggetunit)) {
        echo "<option value='$ffetunit[code]'>$ffetunit[name]</option>";
    }
    echo "</select>";
    echo "</td>";
    echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
